<?php

// Authentification

if (@file_exists('inc/auth.inc.php') && @include_once 'inc/auth.inc.php');
else exit;

// General options

$ezin_opts['dbh'] = ezin_open_db_connection();
$ezin_opts['tb']  = $ezin_sys['db']['tables']['nl_emails'];
$ezin_opts['key'] = 'id';
$ezin_opts['key_type'] = 'int';
$ezin_opts['inc'] = -1;
$ezin_opts['options'] = $ezin_USER['role_newsletters'];
$ezin_opts['multiple'] = '4';
$ezin_opts['navigation'] = $ezin_cfg['admin_navigation'].$ezin_cfg['admin_buttons_pos'];
$ezin_opts['display'] = array('query' => false, 'sort'  => false, 'time'  => false);
$ezin_opts['url'] = array('images' => 'icons/');
$ezin_opts['sort_field'] = array('-dt_added', '-id');
$ezin_opts['language'] = 'EN';

// Triggers

// Field definitions

$ezin_opts['fdd']['id'] = array(
		'name'=>'ID',
		'select'=>'T',
		'sort'=>true,
		'size'=>5,
		'default'=>'',
		'options'=>'LDVFPCR',
		'mask'=>'%03d',
		'escape' => false
		);

$ezin_opts['fdd']['section_id'] = array(
		'name'=>'Section',
		'select'=>'D',
		'sort'=>true,
		'required'=>true,
		'values'=>array(
			'table' => $ezin_sys['db']['tables']['sections'],
			'column' => 'id',
			'description' => array(
				'columns' => array('name', 'id'),
				'divs'    => array(' (', ')')))
		);
		
$ezin_opts['fdd']['email'] = array(
		'name'=>Platon::htmlspecialchars2('E-mail address'),
		'select'=>'T',
		'maxlen'=>60,
		'sort'=>true,
		'required'=>true,
		'trimlen|LF'=>35,
		'mask' => '<big><b>%s</b></big>',
		'escape' => false,
		'colattrs' => 'align="center"'
		);

$ezin_opts['fdd']['dt_added'] = array(
	'name'=>Platon::htmlspecialchars2('Date Added'),
	'select'=>'T',
	'sort'=>true,
	'required'=>true,
	'mask'=>'%.10s',
	'default'=>date('Y-m-d')
	);

$ezin_opts['fdd']['dt_removed'] = array(
		'name'=>Platon::htmlspecialchars2('Date Removed'),
		'select'=>'T',
		'sort'=>true,
		'required'=>true,
		'mask'=>'%.10s',
		);

$ezin_opts['fdd']['ip'] = array(
		'name'=>Platon::htmlspecialchars2('IP address'),
		'select'=>'T',
		'sort'=>true,
		'required'=>true,
		'trimlen|LF'=>35,
		);

$ezin_opts['fdd']['user_agent'] = array(
		'name'=>Platon::htmlspecialchars2('User Agent'),
		'select'=>'T',
		'sort'=>true,
		'required'=>true,
		'trimlen|LF'=>35,
		);

// Execution code

if (! ezin_admin_check_list_privileges($ezin_opts['options'])) {
	require 'inc-html/permdenied.html';
} else {
	require_once 'phpMyEdit/phpMyEdit.class.php';
	new phpMyEdit($ezin_opts);
}

?>
