<?php

// Authentification

if (@file_exists('inc/auth.inc.php') && @include_once 'inc/auth.inc.php');
else exit;

// General options

$ezin_opts['dbh'] = ezin_open_db_connection();
$ezin_opts['tb']  = $ezin_sys['db']['tables']['users'];
$ezin_opts['key'] = 'id';
$ezin_opts['key_type'] = 'int';
$ezin_opts['inc'] = -1;
$ezin_opts['options'] = $ezin_USER['role_users'];
$ezin_opts['multiple'] = '4';
$ezin_opts['navigation'] = $ezin_cfg['admin_navigation'].$ezin_cfg['admin_buttons_pos'];
$ezin_opts['display'] = array('query' => false, 'sort'  => false, 'time'  => false);
$ezin_opts['url'] = array('images' => 'icons/');
$ezin_opts['sort_field'] = array('role_id', '-id');
$ezin_opts['language'] = 'EN';

// Triggers

$ezin_opts['triggers']['insert']['before'][] = 'inc-db/triggers/users.before';
$ezin_opts['triggers']['update']['before'][] = 'inc-db/triggers/users.before';

// Field definitions

$ezin_opts['fdd']['id'] = array(
		'name'=>'ID',
		'select'=>'T',
		'maxlen'=>3,
		'sort'=>true,
		'options'=>'LDVFPCR',
		);

$ezin_opts['fdd']['username'] = array(
		'name'=>'Username',
		'select'=>'T',
		'maxlen'=>60,
		'sort'=>true,
		'required'=>true,
		);

$ezin_opts['fdd']['password'] = array(
		'name'=>'Password',
		'select'=>'T',
		'input|ACP'=>'W',
		'maxlen'=>32,
		'size'=>31,
		'sort'=>true,
		'required'=>true,
		'options' => 'APC'.(ezin_admin_check_full_list_privileges($ezin_opts['options']) ? 'VL' : '')
		);

$ezin_opts['fdd']['author_id'] = array(
		'name'=>'Author',
		'select'=>'D',
		'sort'=>true,
		'values' => array(
			'table' => $ezin_sys['db']['tables']['authors'],
			'column' => 'id',
			'description' => 'name')
		);

$ezin_opts['fdd']['role_id'] = array(
		'name'=>'Role',
		'select'=>'D',
		'sort'=>true,
		'values' => array(
			'table' => $ezin_sys['db']['tables']['roles'],
			'column' => 'id',
			'description' => 'name')
		);

// Execution code

if (! ezin_admin_check_list_privileges($ezin_opts['options'])) {
	require 'inc-html/permdenied.html';
} else {
	require_once 'phpMyEdit/phpMyEdit.class.php';
	new phpMyEdit($ezin_opts);
}

?>
