#!/bin/sh

#
# Metafox - enterprise content management system
#
# _sql/dump/make-dump.sh - creates initial SQL dump
# ____________________________________________________________
#
# Developed by Ondrej Jombik <nepto@platon.sk>
# Copyright (c) 2002,2004 Platon Group, http://platon.sk/
# All rights reserved.
#
# See README file for more information about this software.
# See COPYING file for license information.
#
# Download the latest version from
# http://platon.sk/projects/Metafox/
#

# $Platon: Metafox/sql/dump/make-dump.sh,v 1.5 2006-08-27 07:12:22 nepto Exp $

mysqldump --add-drop-table -d phpmyezin > mysql.sql 
grep '^DROP TABLE' mysql.sql | sed 's/^.*\(ezin_[a-z_]\+\).*$/\1/g' > table-list.txt
mysqldump -t phpmyezin ezin_roles >> mysql.sql 
cat >> mysql.sql <<EOF
--
-- Default users
--
INSERT INTO ezin_users VALUES (1,'admin','896ae34257056a6edb7643e3db85bb21',0,1);
INSERT INTO ezin_users VALUES (2,'user', '896ae34257056a6edb7643e3db85bb21',0,3);

--
-- Default authors
--
INSERT INTO ezin_authors (id, name, email, homepage, description) VALUES
	(1,'Admin','platon@platon.sk','http://platon.sk/','This is Admin.');
INSERT INTO ezin_authors (id, name, email, homepage, description) VALUES
	(2,'Ondrej Jombk','nepto@platon.sk','http://nepto.sk/','This is Nepto. ;-)');

--
-- Default section
--
INSERT INTO ezin_sections
	(id, author_id, type, ord, a_limit,
	accesses_count, sessions_count, raw_accesses_count, raw_sessions_count,
	access_key, template_key, name, link)
VALUES
	(1,0,'global',100,10,
	0,0,0,0,
	'index','','Index','');
--
-- Default article
--
INSERT INTO ezin_articles
	(id, author_id, section_id,
	accesses_count, sessions_count, message_count,
	status, datetime, access_key, template_key,
	title, atitle, hometext, bodytext)
VALUES (1,2,1,
	0,0,0,
	'showed','2002-09-13 16:23:00','','',
	'Default article title','Default article annotation title',
	'Default article home text (annotation)',
	'Default article body text');

EOF

