-- MySQL dump 10.10
--
-- Host: localhost    Database: phpmyezin
-- ------------------------------------------------------
-- Server version	5.0.24a-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `ezin_articles`
--

DROP TABLE IF EXISTS `ezin_articles`;
CREATE TABLE `ezin_articles` (
  `id` int(11) NOT NULL auto_increment,
  `author_id` int(11) default NULL,
  `section_id` int(11) default NULL,
  `bind_lang` int(11) default NULL,
  `bind_theme` int(11) default NULL,
  `accesses_count` int(11) default NULL,
  `sessions_count` int(11) default NULL,
  `message_count` int(11) default NULL,
  `status` enum('showed','partly_showed','hidden','disabled') default NULL,
  `datetime` datetime default '0000-00-00 00:00:00',
  `hometext_wordcount` int(11) default NULL,
  `bodytext_wordcount` int(11) default NULL,
  `hometext_flags` varchar(10) default NULL,
  `bodytext_flags` varchar(10) default NULL,
  `access_key` varchar(64) default NULL,
  `template_key` varchar(64) default NULL,
  `title` varchar(255) default NULL,
  `atitle` varchar(255) default NULL,
  `hometext` text,
  `bodytext` text,
  PRIMARY KEY  (`id`),
  KEY `ezin_articles_author_id` (`author_id`),
  KEY `ezin_articles_section_id` (`section_id`),
  KEY `ezin_articles_bind_lang` (`bind_lang`),
  KEY `ezin_articles_bind_theme` (`bind_theme`),
  KEY `ezin_articles_status` (`status`),
  KEY `ezin_articles_datetime` (`datetime`),
  KEY `ezin_articles_access_key` (`access_key`),
  KEY `ezin_articles_template_key` (`template_key`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_authors`
--

DROP TABLE IF EXISTS `ezin_authors`;
CREATE TABLE `ezin_authors` (
  `id` int(10) NOT NULL auto_increment,
  `accesses_count` int(11) default NULL,
  `sessions_count` int(11) default NULL,
  `access_key` varchar(64) default NULL,
  `template_key` varchar(64) default NULL,
  `name` varchar(60) default NULL,
  `email` varchar(60) default NULL,
  `homepage` varchar(150) default NULL,
  `description` text,
  `description_flags` varchar(10) default NULL,
  `description_wordcount` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_cache`
--

DROP TABLE IF EXISTS `ezin_cache`;
CREATE TABLE `ezin_cache` (
  `id` varchar(64) NOT NULL default '',
  `timestamp` int(11) default NULL,
  `var_var` int(1) default NULL,
  `content` longtext,
  PRIMARY KEY  (`id`),
  KEY `ezin_cache_timestamp` (`timestamp`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_config`
--

DROP TABLE IF EXISTS `ezin_config`;
CREATE TABLE `ezin_config` (
  `a_key` varchar(32) NOT NULL default '',
  `type` int(2) default NULL,
  `value` text,
  PRIMARY KEY  (`a_key`),
  KEY `ezin_config_type` (`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_config_info`
--

DROP TABLE IF EXISTS `ezin_config_info`;
CREATE TABLE `ezin_config_info` (
  `a_key` char(32) NOT NULL,
  `ord` int(11) default NULL,
  `name` varchar(255) default NULL,
  `description` text,
  PRIMARY KEY  (`a_key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_counts_temp`
--

DROP TABLE IF EXISTS `ezin_counts_temp`;
CREATE TABLE `ezin_counts_temp` (
  `type_id` char(8) character set utf8 collate utf8_bin default NULL,
  `timestamp` int(11) default NULL,
  `ip` char(32) default NULL,
  KEY `ezin_counts_temp_type_id` (`type_id`),
  KEY `ezin_counts_temp_timestamp` (`timestamp`),
  KEY `ezin_counts_temp_ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_editorials`
--

DROP TABLE IF EXISTS `ezin_editorials`;
CREATE TABLE `ezin_editorials` (
  `id` int(10) NOT NULL auto_increment,
  `section_id` int(10) default NULL,
  `datetime` datetime default NULL,
  `title` varchar(255) default NULL,
  `text_wordcount` int(11) default NULL,
  `text_flags` varchar(10) default NULL,
  `text` text,
  PRIMARY KEY  (`id`),
  KEY `ezin_editorials_section_id` (`section_id`),
  KEY `ezin_editorials_datetime` (`datetime`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_feedback_data`
--

DROP TABLE IF EXISTS `ezin_feedback_data`;
CREATE TABLE `ezin_feedback_data` (
  `feedback_id` int(11) NOT NULL default '0',
  `field` varchar(255) default NULL,
  `data` text,
  KEY `ezin_feedback_data_feedback_id` (`feedback_id`),
  KEY `ezin_feedback_data_field` (`field`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_feedbacks`
--

DROP TABLE IF EXISTS `ezin_feedbacks`;
CREATE TABLE `ezin_feedbacks` (
  `id` int(11) NOT NULL auto_increment,
  `section_id` int(11) NOT NULL default '0',
  `datetime` datetime default NULL,
  `ip` varchar(255) default NULL,
  `user_agent` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ezin_feedbacks_section_id` (`section_id`),
  KEY `ezin_feedbacks_datetime` (`datetime`),
  KEY `ezin_feedbacks_ip` (`ip`),
  KEY `ezin_feedbacks_user_agent` (`user_agent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_messages`
--

DROP TABLE IF EXISTS `ezin_messages`;
CREATE TABLE `ezin_messages` (
  `id` bigint(20) NOT NULL auto_increment,
  `parent` int(10) default NULL,
  `article_id` int(10) default NULL,
  `author` varchar(255) default NULL,
  `email` varchar(255) default NULL,
  `homepage` varchar(255) default NULL,
  `subject` varchar(255) default NULL,
  `message` text,
  `datetime` datetime default NULL,
  `ip` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ezin_messages_parent` (`parent`),
  KEY `ezin_messages_article_id` (`article_id`),
  KEY `ezin_messages_datetime` (`datetime`),
  KEY `ezin_messages_ip` (`ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_nl_emails`
--

DROP TABLE IF EXISTS `ezin_nl_emails`;
CREATE TABLE `ezin_nl_emails` (
  `id` int(11) NOT NULL auto_increment,
  `section_id` int(11) NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `dt_added` datetime default NULL,
  `dt_removed` datetime default NULL,
  `ip` varchar(255) default NULL,
  `user_agent` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ezin_nl_emails_email` (`email`),
  KEY `ezin_nl_emails_section_id` (`section_id`),
  KEY `ezin_nl_emails_dt_added` (`dt_added`),
  KEY `ezin_nl_emails_dt_removed` (`dt_removed`),
  KEY `ezin_nl_emails_ip` (`ip`),
  KEY `ezin_nl_emails_user_agent` (`user_agent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_nl_message_emails`
--

DROP TABLE IF EXISTS `ezin_nl_message_emails`;
CREATE TABLE `ezin_nl_message_emails` (
  `email_id` int(11) NOT NULL default '0',
  `message_id` int(11) NOT NULL default '0',
  `dt_posted` datetime default NULL,
  PRIMARY KEY  (`email_id`,`message_id`),
  KEY `ezin_nl_message_emails_dt_posted` (`dt_posted`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_nl_messages`
--

DROP TABLE IF EXISTS `ezin_nl_messages`;
CREATE TABLE `ezin_nl_messages` (
  `id` int(11) NOT NULL auto_increment,
  `sender` varchar(255) NOT NULL default '',
  `subject` varchar(255) NOT NULL default '',
  `dt_created` datetime default NULL,
  `body` text,
  PRIMARY KEY  (`id`),
  KEY `ezin_nl_messages_dt_created` (`dt_created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_poll_answers`
--

DROP TABLE IF EXISTS `ezin_poll_answers`;
CREATE TABLE `ezin_poll_answers` (
  `id` int(11) NOT NULL auto_increment,
  `poll_id` int(11) NOT NULL default '0',
  `answer` varchar(255) NOT NULL default '',
  `votes` int(11) default '0',
  PRIMARY KEY  (`id`),
  KEY `ezin_poll_answers_poll_id` (`poll_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_polls`
--

DROP TABLE IF EXISTS `ezin_polls`;
CREATE TABLE `ezin_polls` (
  `id` int(11) NOT NULL auto_increment,
  `section_id` int(11) NOT NULL default '0',
  `dt_valid_from` datetime default NULL,
  `dt_valid_to` datetime default NULL,
  `votes` int(11) default NULL,
  `answers` int(11) default NULL,
  `question` varchar(255) NOT NULL default '',
  `description` text,
  PRIMARY KEY  (`id`),
  KEY `ezin_polls_section_id` (`section_id`),
  KEY `ezin_polls_dt_valid_from` (`dt_valid_from`),
  KEY `ezin_polls_dt_valid_to` (`dt_valid_to`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_roles`
--

DROP TABLE IF EXISTS `ezin_roles`;
CREATE TABLE `ezin_roles` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(60) default NULL,
  `login` varchar(10) default NULL,
  `articles` varchar(10) default NULL,
  `authors` varchar(10) default NULL,
  `sections` varchar(10) default NULL,
  `editorials` varchar(10) default NULL,
  `messages` varchar(10) default NULL,
  `polls` varchar(10) default NULL,
  `feedbacks` varchar(10) default NULL,
  `newsletters` varchar(10) default NULL,
  `sessions` varchar(10) default NULL,
  `config` varchar(10) default NULL,
  `users` varchar(10) default NULL,
  `roles` varchar(10) default NULL,
  `file_management` varchar(15) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ezin_roles_name` (`name`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_sections`
--

DROP TABLE IF EXISTS `ezin_sections`;
CREATE TABLE `ezin_sections` (
  `id` int(10) NOT NULL auto_increment,
  `author_id` int(10) default NULL,
  `type` enum('global','normal','hidden','hidden2','full_hidden','disabled') default NULL,
  `lang` varchar(2) default NULL,
  `bind_lang` int(11) default NULL,
  `ord` int(10) default '100',
  `a_limit` int(10) default NULL,
  `accesses_count` int(11) default NULL,
  `sessions_count` int(11) default NULL,
  `raw_accesses_count` int(11) default NULL,
  `raw_sessions_count` int(11) default NULL,
  `access_key` varchar(64) default NULL,
  `template_key` varchar(64) default NULL,
  `name` varchar(60) default NULL,
  `link` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ezin_sections_author_id` (`author_id`),
  KEY `ezin_sections_type` (`type`),
  KEY `ezin_sections_lang` (`lang`),
  KEY `ezin_sections_bind_lang` (`bind_lang`),
  KEY `ezin_sections_ord` (`ord`),
  KEY `ezin_sections_a_limit` (`a_limit`),
  KEY `ezin_sections_access_key` (`access_key`),
  KEY `ezin_sections_template_key` (`template_key`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_sessions`
--

DROP TABLE IF EXISTS `ezin_sessions`;
CREATE TABLE `ezin_sessions` (
  `id` int(11) NOT NULL auto_increment,
  `session_id` int(11) default NULL,
  `username` varchar(255) default NULL,
  `password` varchar(255) default NULL,
  `login` datetime default NULL,
  `logout` datetime default NULL,
  `status` varchar(16) default NULL,
  `ip` varchar(64) default NULL,
  `user_agent` varchar(255) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ezin_sessions_session_id` (`session_id`),
  KEY `ezin_sessions_username` (`username`),
  KEY `ezin_sessions_password` (`password`),
  KEY `ezin_sessions_login` (`login`),
  KEY `ezin_sessions_logout` (`logout`),
  KEY `ezin_sessions_status` (`status`),
  KEY `ezin_sessions_ip` (`ip`),
  KEY `ezin_sessions_user_agent` (`user_agent`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Table structure for table `ezin_users`
--

DROP TABLE IF EXISTS `ezin_users`;
CREATE TABLE `ezin_users` (
  `id` int(10) NOT NULL auto_increment,
  `username` varchar(60) default NULL,
  `password` varchar(60) default NULL,
  `author_id` int(11) default NULL,
  `role_id` int(11) default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `ezin_users_username` (`username`),
  KEY `ezin_users_author_id` (`author_id`),
  KEY `ezin_users_role_id` (`role_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- MySQL dump 10.10
--
-- Host: localhost    Database: phpmyezin
-- ------------------------------------------------------
-- Server version	5.0.24a-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Dumping data for table `ezin_roles`
--


/*!40000 ALTER TABLE `ezin_roles` DISABLE KEYS */;
LOCK TABLES `ezin_roles` WRITE;
INSERT INTO `ezin_roles` VALUES (1,'0 - superuser','1','LFACPDV','LFACPDV','LFACPDV','LFACPDV','LFACPDV','LFACPDV','LC','LFACPDV','l','LC','LFACPDV','LFACPDV','LRDCErdcuves'),(2,'1 - admin','1','LFACV','LFACV','LFACV','LFACV','LCV','LCV',NULL,'LCV','',NULL,'l','LV','LRCErvu'),(3,'5 - editor','1','LFACV','LFV','LV','LV','LV','LV',NULL,'LV','',NULL,'l','LV','LRCErvu'),(4,'6 - author','1','','LFc','','','','',NULL,'','',NULL,'','',''),(5,'9 - enemy','0','','','','','','',NULL,'','','','','',''),(6,'8 - nobody','1','','','','','','',NULL,'','',NULL,'','',''),(7,'3 - advanced editor','1','LFACV','LFACV','LV','LV','LV','LV',NULL,'LV','',NULL,'l','LV','LRCErvu'),(8,'7 - visitor','1','LFV','LFV','LFV','LFV','LFV','LFV',NULL,'LFV','l','L','lFV','LFV','LEv');
UNLOCK TABLES;
/*!40000 ALTER TABLE `ezin_roles` ENABLE KEYS */;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

--
-- Default users
--
INSERT INTO ezin_users VALUES (1,'admin','896ae34257056a6edb7643e3db85bb21',0,1);
INSERT INTO ezin_users VALUES (2,'user', '896ae34257056a6edb7643e3db85bb21',0,3);

--
-- Default authors
--
INSERT INTO ezin_authors (id, name, email, homepage, description) VALUES
	(1,'Admin','platon@platon.sk','http://platon.sk/','This is Admin.');
INSERT INTO ezin_authors (id, name, email, homepage, description) VALUES
	(2,'Ondrej Jombk','nepto@platon.sk','http://nepto.sk/','This is Nepto. ;-)');

--
-- Default section
--
INSERT INTO ezin_sections
	(id, author_id, type, ord, a_limit,
	accesses_count, sessions_count, raw_accesses_count, raw_sessions_count,
	access_key, template_key, name, link)
VALUES
	(1,0,'global',100,10,
	0,0,0,0,
	'index','','Index','');
--
-- Default article
--
INSERT INTO ezin_articles
	(id, author_id, section_id,
	accesses_count, sessions_count, message_count,
	status, datetime, access_key, template_key,
	title, atitle, hometext, bodytext)
VALUES (1,2,1,
	0,0,0,
	'showed','2002-09-13 16:23:00','','',
	'Default article title','Default article annotation title',
	'Default article home text (annotation)',
	'Default article body text');

